package com.ruoyi.project.business.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.project.business.domain.TcLeadHistory;

import java.util.List;

/**
 * 【请填写功能名称】Mapper接口
 * 
 * @author ruoyi
 * @date 2024-04-22
 */
public interface TcLeadHistoryMapper extends BaseMapper<TcLeadHistory>
{
    /**
     * 查询【请填写功能名称】
     * 
     * @param leadId 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    public TcLeadHistory selectTcLeadHistoryById(Long leadId);
    /**
     * 查询【请填写功能名称】
     * 
     * @param leadId 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    public List<TcLeadHistory> selectTcLeadHistoryByLeadId(Long leadId);

    /**
     * 查询【请填写功能名称】列表
     * 
     * @param tcLeadHistory 【请填写功能名称】
     * @return 【请填写功能名称】集合
     */
    public List<TcLeadHistory> selectTcLeadHistoryList(TcLeadHistory tcLeadHistory);

    /**
     * 新增【请填写功能名称】
     * 
     * @param tcLeadHistory 【请填写功能名称】
     * @return 结果
     */
    public int insertTcLeadHistory(TcLeadHistory tcLeadHistory);

    /**
     * 修改【请填写功能名称】
     * 
     * @param tcLeadHistory 【请填写功能名称】
     * @return 结果
     */
    public int updateTcLeadHistory(TcLeadHistory tcLeadHistory);

    /**
     * 删除【请填写功能名称】
     * 
     * @param leadId 【请填写功能名称】主键
     * @return 结果
     */
    public int deleteTcLeadHistoryByLeadId(Long leadId);

    /**
     * 批量删除【请填写功能名称】
     * 
     * @param leadIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTcLeadHistoryByLeadIds(Long[] leadIds);


    Integer existsUser(Long userId, Long leadId);
}
